Subject: [bug#78102] [PATCH] gnu: Add redumper.

From: Greg Hogan <[email-masked]>
Date: Thu, 1 May 2025 12:09:05 -0400

On Tue, Apr 29, 2025 at 7:38 PM Maxim Cournoyer
<[email-masked]> wrote:
>
> Hi Gabriel,
>
> Gabriel Wicki <[email-masked]> writes:
>
> [...]
>
> >> The problem was cross-compiling libcxx, which I've now resolved (see the
> >> v2 I just sent).
> > Looks good, though I must admit that reviewing changes in our cmake
> > build system is somewhat out of my realm - maybe some other devs want to
> > chime in on the issue (C++ team, maybe - I CC you, Greg, for that)?
>
> Note that, interestingly, this doesn't cause a world rebuild because the
> change lives on the 'host' side and the default values means the same
> usual inputs are used, which means the existing derivations don't
> change.
>
> >> > the error i'm getting says:
> >> >> error: in phase 'adjust-CPLUS_INCLUDE_PATH': uncaught exception:
> >> >> wrong-type-arg "string-append" "Wrong type (expecting ~A): ~S" ("string" #f) (#f)
> >>
> >> Now we actually get to the cross-compilation of redumper, and it fails.
> >> clang seems unable to locate what it needs from the glibc, as in this
> >> bug report: <https://github.com/llvm/llvm-project/issues/72256>.
> >>
> >> I'll punt on the cross-compilation part.
> > So, IIUC, the bug may (hopefully) eventually be fixed by an upstream
> > clang version bump, since it seems to affect various cross-compilation
> > contexts and is not tied to our project?
>
> That's my expectation, yes.
>
> > Thanks for your time and effort!
>
> No worries!  I'll wait a couple days for Greg to chime in, and otherwise
> push.
>
> --
> Thanks,
> Maxim

This is fantastic. I had not come across implicit-inputs but I am now
using this to build clang-toolchain with an updated gcc.

I can't speak to the cross-compilation but have added some comments
(questions) on the libcxx patch.

Greg